Conditions a Visibility rule can use, with their values
GET
/api/v1/workspaces/{workspace}/visibility/catalog
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/visibility/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/visibility/catalog';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/visibility/catalog \ --header 'Authorization: Bearer <token>'Permission: campaigns:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Responses
Section titled “Responses”OK
Media typeapplication/json
object
bands
required
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
fields
required
Array<object>
object
key
required
string
label
required
string
ops
required
Array<object>
object
key
required
string
noValue
boolean
options
required
Array<string>
type
required
string
groups
required
Array<string>
kinds
required
Array<object>
object
group
required
string
key
required
string
ops
required
Array<object>
object
key
required
string
noValue
boolean
languages
required
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
lists
required
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
options
required
object
key
additional properties
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
score
required
object
configured
required
boolean
hotFrom
required
integer format: int64
warmFrom
required
integer format: int64
segments
required
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
tags
required
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
tiers
required
Array<object>
object
contacts
integer format: int64
label
required
string
value
required
string
Example generated
{ "bands": [ { "contacts": 1, "label": "example", "value": "example" } ], "fields": [ { "key": "example", "label": "example", "ops": [ { "key": "example", "noValue": true } ], "options": [ "example" ], "type": "example" } ], "groups": [ "example" ], "kinds": [ { "group": "example", "key": "example", "ops": [ { "key": "example", "noValue": true } ] } ], "languages": [ { "contacts": 1, "label": "example", "value": "example" } ], "lists": [ { "contacts": 1, "label": "example", "value": "example" } ], "options": { "additionalProperty": [ { "contacts": 1, "label": "example", "value": "example" } ] }, "score": { "configured": true, "hotFrom": 1, "warmFrom": 1 }, "segments": [ { "contacts": 1, "label": "example", "value": "example" } ], "tags": [ { "contacts": 1, "label": "example", "value": "example" } ], "tiers": [ { "contacts": 1, "label": "example", "value": "example" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}